<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title>Salt Cloud Profile</title>

    <link rel="stylesheet" href="/en/latest/css/core.css">
    <link rel="stylesheet" href="/en/latest/css/getstarted.css">
    <link rel="shortcut icon" href="/en/latest/css/images/saltStack_favIcon_32x32.png">

</head>
<body>

<nav id="globalNavbar" class="navbar navbar-default navbar-inverse navbar-fixed-top" role="navigation">
    <!-- Brand and toggle get grouped for better mobile display -->
    <div class="container">
        <div class="navbar-header">
            <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#navbarCollapse">
                <span class="sr-only">Toggle navigation</span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>
            <a href="http://saltstack.com/" target="_blank"><img src="/en/latest/css/images/saltstack.svg" height="40px" width="170px" class="nolightbox"></a>
        </div>
        <!-- Collect the nav links, forms, and other content for toggling -->
        <div class="collapse navbar-collapse" id="navbarCollapse">
            <ul class="nav navbar-nav">
                <li><a href="/en/latest/">Overview</a></li>
                <li><a href="/en/getstarted/">Tutorials</a></li>
                <li><a href="/en/latest/contents.html">Documentation</a></li>
                <li><a href="https://repo.saltstack.com">Downloads</a></li>
                <li><a href="/en/latest/topics/development/">Develop</a></li>
            </ul>
        </div>
    </div>
</nav>

<div class="jumbotron">

    <div class="row row-centered">
        <div class="col-md-9 col-centered">
            <h1>Salt Cloud</h1>

            <h3>Get Started Tutorial</h3>

        </div>
    </div>
    <!--<div class="gs-top-nav">
        <a href="/en/getstarted/getstarted/index.html">Back to Get Started <i class="glyphicon glyphicon-arrow-left"></i></a><br>
        <a href="/en/getstarted">Back to Documentation <i class="glyphicon glyphicon-arrow-left"></i></a>
    </div>-->
</div>







<div class="container">
    <div class="row">
        <div class="col-md-12">
            <ol class="progtrckr" data-progtrckr-steps="7">
                
                
                
                <li class="progtrckr-done">
                    
                    <a href="/en/getstarted/cloud/index.html">Salt Cloud</a>
                </li>
                
                
                
                
                <li class="progtrckr-done">
                    
                    <a href="/en/getstarted/cloud/account.html">Cloud Account</a>
                </li>
                
                
                
                
                <li class="progtrckr-done">
                    
                    <a href="/en/getstarted/cloud/install.html">Installation</a>
                </li>
                
                
                
                
                <li class="progtrckr-done">
                    
                    <a href="/en/getstarted/cloud/provider.html">Salt Cloud Provider</a>
                </li>
                
                
                
                <li class="progtrckr-done">Salt Cloud Profile</li>
                
                
                
                
                
                
                
                
                
                
                
                
                
                <li class="progtrckr-todo">
                    
                    <a href="/en/getstarted/cloud/map.html">Salt Cloud Map</a>
                </li>
                
                
                
                
                <li class="progtrckr-todo">
                    
                    <a href="/en/getstarted/cloud/vm.html">Salt Cloud VMs</a>
                </li>
                
                
            </ol>
        </div>
    </div>

    <div class="row">
        <div class="col-md-1"></div>
        <div class="col-md-10">

            

            <h1>Salt Cloud Profile</h1>

            <div class="section gs-overview">

                
                <p class="p gs-overview-sub"><span class="ph">You'll learn how to:</span></p>

                <ul class="ul">
                    
                    <li class="progtrckr-done">Goal</li>
                    
                    <li class="progtrckr-done">Goal</li>
                    
                </ul>
                

                
                <p class="p gs-overview-sub gs-time"><span class="ph">
                              Estimated time: 10 minutes</span>&nbsp;<i
                        class="glyphicon glyphicon-time"></i>
                </p>
                

                
                <p class="p gs-overview-sub gs-difficulty-1"><span class="ph">Difficulty</span>:&nbsp;
                    
                    
                    <i class="glyphicon glyphicon-cog"></i>
                    
                    
                    
                    <i class="glyphicon glyphicon-cog lighter"></i>
                    
                    
                    
                    <i class="glyphicon glyphicon-cog lighter"></i>
                    
                    
                    
                    <i class="glyphicon glyphicon-cog lighter"></i>
                    
                    
                    
                    <i class="glyphicon glyphicon-cog lighter"></i>
                    
                    
                </p>
                
            </div>
            

            <p>A profile file is where you define the specific VM configurations that you want to enable for deployment using Salt Cloud. The role of profiles becomes very clear after you define a few, so let’s jump right in.</p>
<p>On your Salt master, browse to <code>/etc/salt/cloud.profiles.d/</code> and create a file named <code>gce.profiles.conf</code>. (if you are using a different host, replace <code>gce</code> with the name of your host. The name helps you identify the contents, and is not important as long as the file ends in <code>.conf</code>).</p>
<p>Add a few VM profiles to this file:</p>
<pre class="language-yaml"><code class="language-yaml"><span class="fu">gce-standard:</span>
  <span class="fu">image:</span> ubuntu-1404-trusty-v20160114e
  <span class="fu">size:</span> n1-standard-1
  <span class="fu">location:</span> us-central1-c
  <span class="fu">provider:</span> gce-config
  <span class="fu">ssh_username:</span> salt-cloud
  <span class="fu">ssh_keyfile:</span> /etc/salt/salt-cloud-demo-20ceb9ff3587.json</code></pre>
<p>So how do you know the available options? This information is usually easy to find on the host’s website, or you can use Salt Cloud to query the cloud provider:</p>
<pre class="language-bash"><code class="language-bash"><span class="kw">salt-cloud</span> --list-locations <span class="kw">&lt;</span>provider_name<span class="kw">&gt;</span> 
<span class="kw">salt-cloud</span> --list-images <span class="kw">&lt;</span>provider_name<span class="kw">&gt;</span>
<span class="kw">salt-cloud</span> --list-sizes <span class="kw">&lt;</span>provider_name<span class="kw">&gt;</span></code></pre>
<h2 id="create-a-vm">Create a VM</h2>
<p>We are now ready to create a VM. The following command creates a VM on the cloud provider, so be aware that you’ll incur charges on the cloud host:</p>
<pre class="language-bash"><code class="language-bash"><span class="kw">sudo</span> salt-cloud -p gce-standard vm1</code></pre>
<div class="section sidebar">
<h4 id="sidebar-head">Sidebar Head</h4>
<p>Text</p>
</div>


            <br>
            
            <a href="/en/getstarted/cloud/provider.html">
                <button type="button" class="btn btn-secondary"><span
                        class="glyphicon glyphicon-chevron-left"></span> Previous
                </button>
            </a>
            

            
            <a href="/en/getstarted/cloud/map.html">
                <button type="button" class="btn btn-primary btn-right">
                    Next <span class="glyphicon glyphicon-chevron-right"></span></button>
            </a>
            

        </div>
        <div class="col-md-1"></div>
    </div>
    <div class="footer">
  <p>© 2020 SaltStack. All Rights Reserved, SaltStack Inc. | <a href="http://saltstack.com/privacy-policy" target="_blank">Privacy Policy</a></p>
</div>
</div>

<script type="text/javascript" src="/en/latest/js/core-min.js"></script>



<!--analytics-->
<script type="text/javascript">llactid=23943</script>
<script type="text/javascript" src="https://trackalyzer.com/trackalyze_secure.js"></script>

<script>
          var _gaq = _gaq || [];
          var pluginUrl = '//www.google-analytics.com/plugins/ga/inpage_linkid.js';
          _gaq.push(['_require', 'inpage_linkid', pluginUrl]);
          _gaq.push(['_setAccount', 'UA-26984928-1']);
          _gaq.push(['_setDomainName', 'saltstack.com']);
          _gaq.push(['_trackPageview']);

          (function() {
              var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
              ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
              var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
          })();

</script>

</body>
</html>